package ru.yandex.canvas.model.video.overlay;


import org.springframework.data.mongodb.core.mapping.Field;

/**
 * Один из файлов креатива-оверлея
 */
public class OverlayAsset {
    @Field("name")
    private String name;

    @Field("stillage_id")
    private String stillageId;

    @Field("stillage_url")
    private String stillageUrl;

    public String getName() {
        return name;
    }

    public OverlayAsset setName(String name) {
        this.name = name;
        return this;
    }

    public String getStillageId() {
        return stillageId;
    }

    public OverlayAsset setStillageId(String stillageId) {
        this.stillageId = stillageId;
        return this;
    }

    public String getStillageUrl() {
        return stillageUrl;
    }

    public OverlayAsset setStillageUrl(String stillageUrl) {
        this.stillageUrl = stillageUrl;
        return this;
    }

    @Override
    public String toString() {
        return "OverlayAsset{" +
                "name='" + name + '\'' +
                ", stillageId='" + stillageId + '\'' +
                ", stillageUrl='" + stillageUrl + '\'' +
                '}';
    }
}
